Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Interface IMatchingObject

All Known Implementing Classes:
  AbstractMatchingObject

    public interface IMatchingObject

Interface describing a matching object returned by the element selection service.

Method Summary
`java.lang.String` `getDisplayName()` Retrieve the display name of the matching object, which is used to as display text by the label provider.
`Image` `getImage()` Retrieve the image of the matching object, which is used to as display icon by the label provider.
`java.lang.String` `getName()` Retrieve the name of the matching object, which is used when filtering (we filter on the concrete name, not the display name).
`IElementSelectionProvider` `getProvider()` Retrieve the type selection provider that that provided this matching object.

Method Detail

### getName

    java.lang.String getName()

  Retrieve the name of the matching object, which is used when filtering (we filter on the concrete name, not the display name).

  Returns:
    the name of the matching object

### getDisplayName

    java.lang.String getDisplayName()

  Retrieve the display name of the matching object, which is used to as display text by the label provider.

  Returns:
    the display name of the matching object.

### getImage

    Image getImage()

  Retrieve the image of the matching object, which is used to as display icon by the label provider.

  Returns:
    the image of the matching object.

### getProvider

    IElementSelectionProvider getProvider()

  Retrieve the type selection provider that that provided this matching object.

  Returns:
    the type selection provider.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.